use crate::utils::prop_structs::PageChildren;
use dioxus::prelude::*;

pub fn PageBase<'a>(cx: Scope<'a, PageChildren<'a>>) -> Element {
    cx.render(rsx! {
        span { hidden: true,
            a { rel: "me", href: "https://yiff.life/@werefox", "Mastodon" }
        }
        div { class: "min-h-screen",
            div { class: "container space-y-4 mx-auto p-4", &cx.props.children }
        }
    })
}
